Subject: Re: [Bugme-new] [Bug 13627] New: Tunnel device ignores TCP/UDP traffic

From: Oliver Hartkopp <[email-masked]>
Date: Fri, 26 Jun 2009 22:51:44 +0200

Andrew Morton wrote:
> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
> 
> On Fri, 26 Jun 2009 14:45:11 GMT
> [email-masked] wrote:
> 
>> http://bugzilla.kernel.org/show_bug.cgi?id=13627
>>
>>            Summary: Tunnel device ignores TCP/UDP traffic
>>            Product: Networking
>>            Version: 2.5
>>     Kernel Version: 2.6.31-rc1
>>           Platform: All
>>         OS/Version: Linux
>>               Tree: Mainline
>>             Status: NEW
>>           Severity: normal
>>           Priority: P1
>>          Component: IPV4
>>         AssignedTo: [email-masked]
>>         ReportedBy: [email-masked]
>>         Regression: Yes
>>
> 
> It's a post-2.6.30 regression which Paul has bisected down to
> 
>   commit d55d87fdff8252d0e2f7c28c2d443aee17e9d70f
>   Author:     Herbert Xu <[email-masked]>
>   AuthorDate: Mon Jun 22 02:25:25 2009 +0000
>   Commit:     David S. Miller <[email-masked]>
>   CommitDate: Tue Jun 23 16:36:25 2009 -0700
> 
>       net: Move rx skb_orphan call to where needed
> 
> (thanks for doing the bisection!)
> 
>> Using OpenVPN on 2.6.29.4 and 2.6.30 works but 2.6.31-rc1 doesn't.
>>
>> I can ping (ICMP) the remote end, and see the packets going back and forth
>> using tcpdump, but they don't appear to be reaching the upper layers.
>>

Sorry that i did not test tunnels also.

I just checked whether the patch from Herbert fixed the regression for PF_CAN
sockets (which it does) - and of course i used 'normal' IP networking.

I hope the tunnel can be fixed without reverting the whole patch ...

Regards,
Oliver